Bug 175809 - [PATCH] www/node, www/node-devel: fix build with nondefailt LOCALBASE
[PATCH] www/node, www/node-devel: fix build with nondefailt LOCALBASE
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Marakasov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-04 01:20 UTC by amdmi3
Modified: 2013-02-26 16:20 UTC (History)
1 user (show)

See Also:


Attachments
node.patch (411 bytes, patch)
2013-02-04 01:20 UTC, amdmi3
no flags Details | Diff
file.diff (512 bytes, patch)
2013-02-04 01:20 UTC, amdmi3
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description amdmi3 2013-02-04 01:20:00 UTC
node and node-devel do not build with nondefault localbase, failing to find libexecinfo headers and libs.

Build logs:

http://people.freebsd.org/~amdmi3/node-0.8.18.log
http://people.freebsd.org/~amdmi3/node-devel-0.9.8.log

Attached patches fix the problem.
Comment 1 Edwin Groothuis freebsd_committer 2013-02-04 01:20:08 UTC
Maintainer of www/node,

Please note that PR ports/175809 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175809

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-02-04 01:20:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2013-02-18 05:48:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

submitter is committer.
Comment 4 dfilter freebsd_committer 2013-02-26 16:18:06 UTC
Author: amdmi3
Date: Tue Feb 26 16:17:49 2013
New Revision: 312989
URL: http://svnweb.freebsd.org/changeset/ports/312989

Log:
  - Fix build with nondefailt LOCALBASE
  
  PR:		175809
  Submitted by:	myself
  Approved by:	maintainer timeout

Modified:
  head/www/node/Makefile

Modified: head/www/node/Makefile
==============================================================================
--- head/www/node/Makefile	Tue Feb 26 16:17:26 2013	(r312988)
+++ head/www/node/Makefile	Tue Feb 26 16:17:49 2013	(r312989)
@@ -29,6 +29,9 @@ REINPLACE_ARGS=	-i ''
 
 post-patch:
 	@${RM} ${WRKSRC}/tools/wafadmin/Node.py.orig
+	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|' \
+		${WRKSRC}/deps/v8/build/common.gypi \
+		${WRKSRC}/deps/v8/tools/gyp/v8.gyp
 
 post-install:
 	${MKDIR} ${PREFIX}/lib/node_modules/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2013-02-26 16:18:19 UTC
Author: amdmi3
Date: Tue Feb 26 16:18:10 2013
New Revision: 312990
URL: http://svnweb.freebsd.org/changeset/ports/312990

Log:
  - Fix build with nondefailt LOCALBASE
  
  PR:		175809
  Submitted by:	myself
  Approved by:	maintainer timeout

Modified:
  head/www/node-devel/Makefile

Modified: head/www/node-devel/Makefile
==============================================================================
--- head/www/node-devel/Makefile	Tue Feb 26 16:17:49 2013	(r312989)
+++ head/www/node-devel/Makefile	Tue Feb 26 16:18:10 2013	(r312990)
@@ -27,6 +27,11 @@ CONFIGURE_ARGS=	--prefix=${PREFIX_RELDES
 PREFIX_RELDEST=	${PREFIX:S,^${DESTDIR},,}
 REINPLACE_ARGS=	-i ''
 
+post-patch:
+	@${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|' \
+		${WRKSRC}/deps/v8/build/common.gypi \
+		${WRKSRC}/deps/v8/tools/gyp/v8.gyp
+
 post-install:
 	${MKDIR} ${PREFIX}/lib/node_modules/
 	${TOUCH} ${PREFIX}/lib/node_modules/.keepme
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Dmitry Marakasov freebsd_committer 2013-02-26 16:18:22 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!